import React from 'react';
import Switch from '../../../Switch';
import Select from '../../../Select';
import Checkbox from '../../../Checkbox';
import InlineButton from '../../../InlineButton';
import Radio from '../../../Radio';
import { FIELDS, DISPLAYS } from '../../index';

var PickerField = function PickerField(_ref) {
  var field = _ref.field,
      tabIndex = _ref.tabIndex,
      onChange = _ref.onChange,
      onBlur = _ref.onBlur,
      errors = _ref.errors,
      alerts = _ref.alerts,
      renderer = _ref.renderer;

  if (field.display === DISPLAYS[FIELDS.PICKER].SWITCH) {
    return /*#__PURE__*/React.createElement(Switch, {
      switchField: field,
      onChange: onChange,
      onBlur: onBlur,
      tabIndex: tabIndex,
      errors: errors,
      alerts: alerts,
      renderer: renderer
    });
  } else if (field.display === DISPLAYS[FIELDS.PICKER].AUTOCOMPLETE || field.display === DISPLAYS[FIELDS.PICKER].DROPDOWN) {
    return /*#__PURE__*/React.createElement(Select, {
      select: field,
      onChange: onChange,
      onBlur: onBlur,
      tabIndex: tabIndex,
      errors: errors,
      alerts: alerts,
      renderer: renderer
    });
  } else if (field.display === DISPLAYS[FIELDS.PICKER].RADIO) {
    return /*#__PURE__*/React.createElement(Radio, {
      radio: field,
      onChange: onChange,
      onBlur: onBlur,
      tabIndex: tabIndex,
      errors: errors,
      alerts: alerts,
      renderer: renderer
    });
  } else if (field.display === DISPLAYS[FIELDS.PICKER].CHECKBOX) {
    return /*#__PURE__*/React.createElement(Checkbox, {
      checkbox: field,
      onChange: onChange,
      onBlur: onBlur,
      tabIndex: tabIndex,
      errors: errors,
      alerts: alerts,
      renderer: renderer
    });
  } else if (field.display === DISPLAYS[FIELDS.PICKER].BUTTON_INLINE) {
    return /*#__PURE__*/React.createElement(InlineButton, {
      inlineButton: field,
      onChange: onChange,
      onBlur: onBlur,
      tabIndex: tabIndex,
      errors: errors,
      alerts: alerts,
      renderer: renderer
    });
  } else {
    // TODO: should be removed (backwards compatibility)
    return /*#__PURE__*/React.createElement(Select, {
      select: field,
      onChange: onChange,
      onBlur: onBlur,
      tabIndex: tabIndex,
      errors: errors,
      alerts: alerts,
      renderer: renderer
    });
  }
};

export default PickerField;