import PropTypes from 'prop-types';
export var constraint = PropTypes.shape({
  property: PropTypes.shape({
    max: PropTypes.string,
    min: PropTypes.string
  }).isRequired,
  message: PropTypes.string.isRequired
});
export var datalist = PropTypes.shape({
  value: PropTypes.string,
  text: PropTypes.string
});
export var field = PropTypes.shape({
  type: PropTypes.string.isRequired,
  id: PropTypes.string.isRequired,
  label: PropTypes.string.isRequired,
  hint: PropTypes.string.isRequired,
  value: PropTypes.string,
  hidden: PropTypes.bool,
  disabled: PropTypes.bool,
  datalist: PropTypes.arrayOf(datalist),
  constraints: PropTypes.arrayOf(constraint),
  // eslint-disable-next-line no-use-before-define
  fields: fields
}).isRequired;
export var fields = PropTypes.arrayOf(field);
export var form = PropTypes.shape({
  id: PropTypes.string,
  type: PropTypes.string,
  label: PropTypes.string,
  actionlabel: PropTypes.string,
  fields: fields
}).isRequired;
export var json = PropTypes.shape({
  form: form
}).isRequired;
export var createComponentMemo = function createComponentMemo(field) {
  return function (nextProps, prevProps) {
    var _nextProps$errors, _prevProps$errors, _nextProps$alerts, _prevProps$alerts;

    return JSON.stringify(nextProps[field]) === JSON.stringify(prevProps[field]) && ((_nextProps$errors = nextProps.errors) == null ? void 0 : _nextProps$errors[nextProps[field].id]) === ((_prevProps$errors = prevProps.errors) == null ? void 0 : _prevProps$errors[prevProps[field].id]) && ((_nextProps$alerts = nextProps.alerts) == null ? void 0 : _nextProps$alerts[nextProps[field].id]) === ((_prevProps$alerts = prevProps.alerts) == null ? void 0 : _prevProps$alerts[prevProps[field].id]) && nextProps.onChange === prevProps.onChange;
  };
};